Create a cloud instance
A new cloud instance can be created by sending a POST request to /v1/cloud_computing/instances. Parameters of the instance are specified in the request body.
Authorization
bearerAuth In: header
Request Body
| Field | Details |
|---|---|
region_id | integerA unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section. |
name | stringGive a name to a new instance. |
flavor_id | stringA unique identifier of a cloud flavor this instance belongs to. List all cloud flavor IDs by sending a request described in the Cloud Flavor section. |
image_id | stringA unique identifier of a cloud image that will be used for provisioning. To see a list of all cloud images, take a look at the Cloud Image section. |
gpn_enabled? | booleanDefault: The |
ipv4_enabled? | booleanDefault: This parameter defines if a server will be provisioned with a public network. It defaults to the |
ipv6_enabled? | booleanDefault: To add an IPv6 address, mark this parameter with the |
ssh_key_fingerprint? | stringA fingerprint of an SSH key. To learn more details about SSH key management, visit the SSH Key section. |
backup_copies? | integerThe quantity of backup copies to be stored. |
user_data? | stringUser data is content that will be processed by cloud-init during server initialization. Paste your file's content in this argument. The first line is significant because it defines a type of data. We recommend you get acquainted with available formats in the cloud-init documentation. User data can be used only with an SSH key and is available for Linux via cloud-init and for Windows via cloudbase-init. User data formats for cloudbase-init. |
labels? | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. |
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/cloud_computing/instances" \ -H "Content-Type: application/json" \ -d '{ "name": "test-instance-2", "flavor_id": "101", "image_id": "f9be84c4-8555-44ec-a8ba-983a386c36eb", "gpn_enabled": false, "ipv6_enabled": true, "region_id": 0, "user_data": "#!/bin/bash\\ntouch /var/file.created.successfully", "ssh_key_fingerprint": "48:81:0c:43:99:12:71:5e:ba:fd:e7:2f:20:d7:95:e8", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }'{ "id": "Mvbmw0eY", "openstack_uuid": null, "status": "PROVISIONING", "name": "test-instance-2", "region_id": 0, "region_code": "NL01", "flavor_id": "101", "flavor_name": "SSD.1", "image_id": "f9be84c4-8555-44ec-a8ba-983a386c36eb", "image_name": null, "public_ipv4_address": null, "private_ipv4_address": null, "local_ipv4_address": null, "public_ipv6_address": null, "ipv6_enabled": false, "gpn_enabled": false, "created_at": "2026-05-28T07:06:28Z", "updated_at": "2026-05-28T07:06:28Z", "backup_copies": 0, "public_port_blocked": false, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }}